package com.pj.api.client.async_server;

import com.pj.api.FeignInterceptor;
import com.pj.api.consts.FeignConsts;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 异步通信
 * @Author Mechrevo
 * @Date 2023 08 29 13 02
 **/
@FeignClient(
        name = FeignConsts.ASYNC_SERVER,                // 服务名称
        configuration = FeignInterceptor.class,        // 请求拦截器
        fallbackFactory = AsyncServerInterfaceFallback.class    // 服务降级
)
public interface AsyncServerInterface {

    /**
     * 发送对象至航通
     * @param t
     * @param <T>
     */
    @RequestMapping("/async/rpc/sendObject")
    public <T> void sendObject(T t,String dataType);

}
