package com.pj.api.client.async_server;

import com.pj.api.client.cfg.SpCfgInterfaceFallback;
import feign.hystrix.FallbackFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @Author Mechrevo
 * @Date 2023 08 29 13 03
 **/
@Component
public class AsyncServerInterfaceFallback implements FallbackFactory<AsyncServerInterface> {

    private static final Logger log = LoggerFactory.getLogger(SpCfgInterfaceFallback.class);

    @Override
    public AsyncServerInterface create(Throwable throwable) {
        return new AsyncServerInterface() {

            @Override
            public <T> void sendObject(T t,String dataType) {
                log.error("错误对象:{},类型:{}",t,dataType);
            }
        };
    }
}
